package cn.com.ctop.kuaishou.modules.ai.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.util.Date;

/**
 * 物料池操作记录表
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-07-19
 */
@Data
@TableName("ctop_kuaishou_material_pool_operation_record")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_material_pool_operation_record对象", description = "物料池操作记录表")
public class KuaishouMaterialPoolOperationRecord {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 项目ID
     */
    @Excel(name = "项目ID", width = 15)
    @ApiModelProperty(value = "项目ID")
    private Long projectId;
    /**
     * 操作人
     */
    @Excel(name = "操作人", width = 15)
    @ApiModelProperty(value = "操作人")
    private String userId;
    /**
     * 物料类型，1-定向，2-人群，3-应用
     */
    @Excel(name = "物料类型，1-定向，2-人群，3-应用", width = 15)
    @ApiModelProperty(value = "物料类型，1-定向，2-人群，3-应用")
    private Integer materialType;
    /**
     * 操作类型，add,update,delete
     */
    @Excel(name = "操作类型，add,update,delete", width = 15)
    @ApiModelProperty(value = "操作类型，add,update,delete")
    private String type;
    /**
     * 操作数据JSON
     */
    @Excel(name = "操作数据JSON", width = 15)
    @ApiModelProperty(value = "操作数据JSON")
    private String data;
    //方法名
    private String method_name;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
