package cn.com.ctop.kuaishou.modules.app.entity;


import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.jeecgframework.poi.excel.annotation.Excel;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 快手-账余额、预算
 *
 * @author jeecg-boot
 * @version V1.0
 * @date 2021-04-16
 */
@Data
@TableName("ctop_kuaishou_account_balance_budget")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "ctop_kuaishou_account_balance_budget对象", description = "快手-账余额、预算")
public class KuaishouAccountBalanceBudget {

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @ApiModelProperty(value = "id")
    private Long id;
    /**
     * 账户ID
     */
    @Excel(name = "账户ID", width = 15)
    @ApiModelProperty(value = "账户ID")
    private Long accountId;
    /**
     * 状态 0 失效，1有效
     */
    private Integer state;

    /**
     * 账户总余额
     */
    @Excel(name = "账户总余额", width = 15)
    @ApiModelProperty(value = "账户总余额")
    private BigDecimal balance;
    /**
     * 单日预算
     */
    @Excel(name = "单日预算", width = 15)
    @ApiModelProperty(value = "单日预算")
    private BigDecimal dayBudget;
    /**
     * 分日预算
     */
    @Excel(name = "分日预算", width = 15)
    @ApiModelProperty(value = "分日预算")
    private String dayBudgetSchedule;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    /**
     * updateTime
     */
    @ApiModelProperty(value = "updateTime")
    private Date updateTime;
}
